無料のSSL証明書の登録・更新

適当に記事を見ながらやったらハマった

https://saba.omnioo.com/note/2110/%E7%84%A1%E6%96%99ssl%E3%82%92%E5%8F%96%E5%BE%97%E3%81%99%E3%82%8B-lets-encrypt/
https://qiita.com/tmatsumot/items/aca49d99558d2646ef36
https://qiita.com/f_uto/items/4178a9fdd657b78672ea
https://www.cyberbrain.co.jp/news/detail/135/

# cd /tmp   {特に意味はない}
# wget https://dl.eff.org/certbot-auto
# mv certbot-auto /usr/local/bin/certbot-auto
# chown root /usr/local/bin/certbot-auto
# chmod 0755 /usr/local/bin/certbot-auto

# /usr/local/bin/certbot-auto certonly –webroot -w {WordPressを配置したパス} -d {WWW上のサーバ名}

すると

Bootstrapping dependencies for RedHat-based OSes that will use Python3... (you can skip this with --no-bootstrap)
dnf は /usr/bin/dnf です
dnf はハッシュされています (/usr/bin/dnf)
メタデータの期限切れの最終確認: 0:21:58 時間前の 2020年02月09日 02時00分41秒 に実施しました。
パッケージ openssl-1:1.1.1c-2.el8.x86_64 は既にインストールされています。
パッケージ openssl-devel-1:1.1.1c-2.el8.x86_64 は既にインストールされています。
パッケージ ca-certificates-2019.2.32-80.0.el8_1.noarch は既にインストールされています。
パッケージ mod_ssl-1:2.4.37-16.module_el8.1.0+256+ae790463.x86_64 は既にインストールされています。
依存関係が解決しました。
================================================================================
 パッケージ             Arch   バージョン                       Repo      サイズ
================================================================================
インストール:
 gcc                    x86_64 8.3.1-4.5.el8                    AppStream  23 M
 python3-virtualenv     noarch 15.1.0-19.module_el8.1.0+245+c39af44f
                                                                AppStream 100 k
 python36               x86_64 3.6.8-2.module_el8.1.0+245+c39af44f
                                                                AppStream  19 k
 python36-devel         x86_64 3.6.8-2.module_el8.1.0+245+c39af44f
                                                                AppStream  16 k
 redhat-rpm-config      noarch 120-1.el8                        AppStream  83 k
 augeas-libs            x86_64 1.12.0-2.el8                     BaseOS    436 k
 libffi-devel           x86_64 3.1-21.el8                       BaseOS     29 k
依存関係のインストール:
 annobin                x86_64 8.78-1.el8                       AppStream 196 k
 cpp                    x86_64 8.3.1-4.5.el8                    AppStream  10 M
 dwz                    x86_64 0.12-9.el8                       AppStream 109 k
 efi-srpm-macros        noarch 3-2.el8                          AppStream  22 k
 ghc-srpm-macros        noarch 1.4.2-7.el8                      AppStream 9.3 k
 go-srpm-macros         noarch 2-16.el8                         AppStream  14 k
 isl                    x86_64 0.16.1-6.el8                     AppStream 841 k
 libmpc                 x86_64 1.0.2-9.el8                      AppStream  59 k
 ocaml-srpm-macros      noarch 5-4.el8                          AppStream 9.4 k
 openblas-srpm-macros   noarch 2-2.el8                          AppStream 7.9 k
 perl-srpm-macros       noarch 1-25.el8                         AppStream  11 k
 platform-python-devel  x86_64 3.6.8-15.1.el8                   AppStream 245 k
 python-rpm-macros      noarch 3-37.el8                         AppStream  14 k
 python-srpm-macros     noarch 3-37.el8                         AppStream  14 k
 python3-pip            noarch 9.0.3-15.el8                     AppStream  19 k
 python3-rpm-generators noarch 5-4.el8                          AppStream  24 k
 python3-rpm-macros     noarch 3-37.el8                         AppStream  13 k
 python3-wheel-wheel    noarch 1:0.31.1-2.module_el8.1.0+245+c39af44f
                                                                AppStream  44 k
 qt5-srpm-macros        noarch 5.11.1-2.el8                     AppStream  11 k
 rust-srpm-macros       noarch 5-2.el8                          AppStream 9.2 k
 binutils               x86_64 2.30-58.el8_1.1                  BaseOS    5.7 M
 glibc-devel            x86_64 2.28-72.el8                      BaseOS    1.0 M
 glibc-headers          x86_64 2.28-72.el8                      BaseOS    469 k
 kernel-headers         x86_64 4.18.0-147.5.1.el8_1             BaseOS    2.7 M
 libxcrypt-devel        x86_64 4.1.1-4.el8                      BaseOS     25 k
 python3-setuptools     noarch 39.2.0-5.el8                     BaseOS    162 k
 zip                    x86_64 3.0-23.el8                       BaseOS    270 k
モジュールストリームの有効化:
 python36                      3.6                                             

トランザクションの概要
================================================================================
インストール  34 パッケージ

ダウンロードサイズの合計: 46 M
インストール済みのサイズ: 130 M
これでよろしいですか? [y/N]: y
パッケージのダウンロード:
                         [===                 ] ---  B/s |   0  B     --:-- ETA                         [===                 ] ---  B/s |   0  B     --:-- ETA                         [   ===              ] ---  B/s |   0  B     --:-- ETA                    100% [====================] 1.4 kB/s | 649  B     00:00 ETA(1/34): annobin-8.78  0% [                    ] ---  B/s |   0  B     --:-- ETA(1/34): dwz-0.12-9.el8.x86_64.rpm               417 kB/s | 109 kB     00:00    
(2-3/34): annobin-8.  0% [                    ] 1.6 MB/s | 434 kB     00:28 ETA(2/34): annobin-8.78-1.el8.x86_64.rpm           565 kB/s | 196 kB     00:00    
(3-4/34): efi-srpm-m  1% [                    ] 1.6 MB/s | 698 kB     00:27 ETA(3/34): efi-srpm-macros-3-2.el8.noarch.rpm      247 kB/s |  22 kB     00:00    
(4-5/34): gcc-8.3.1-  1% [                    ] 1.6 MB/s | 724 kB     00:27 ETA(4/34): ghc-srpm-macros-1.4.2-7.el8.noarch.rpm  148 kB/s | 9.3 kB     00:00    
(5-6/34): gcc-8.3.1-  1% [                    ] 1.7 MB/s | 909 kB     00:27 ETA(5/34): go-srpm-macros-2-16.el8.noarch.rpm      233 kB/s |  14 kB     00:00    
(6-7/34): gcc-8.3.1-  2% [                    ] 1.7 MB/s | 1.1 MB     00:26 ETA(6-8/34): isl-0.16.1  7% [=                   ] 2.0 MB/s | 3.3 MB     00:21 ETA(6/34): isl-0.16.1-6.el8.x86_64.rpm             1.4 MB/s | 841 kB     00:00    
(7-8/34): gcc-8.3.1- 17% [===                 ] 2.8 MB/s | 7.9 MB     00:13 ETA(7/34): libmpc-1.0.2-9.el8.x86_64.rpm           452 kB/s |  59 kB     00:00    
(8-9/34): gcc-8.3.1- 23% [====-               ] 3.4 MB/s |  11 MB     00:10 ETA(8/34): ocaml-srpm-macros-5-4.el8.noarch.rpm    134 kB/s | 9.4 kB     00:00    
(9-10/34): cpp-8.3.1 27% [=====-              ] 3.7 MB/s |  13 MB     00:09 ETA(9/34): openblas-srpm-macros-2-2.el8.noarch.rpm 132 kB/s | 7.9 kB     00:00    
(10-11/34): cpp-8.3. 31% [======              ] 4.0 MB/s |  15 MB     00:08 ETA(10/34): cpp-8.3.1-4.5.el8.x86_64.rpm           7.0 MB/s |  10 MB     00:01    
(11-12/34): gcc-8.3. 31% [======              ] 3.9 MB/s |  15 MB     00:08 ETA(11/34): perl-srpm-macros-1-25.el8.noarch.rpm    61 kB/s |  11 kB     00:00    
(12-13/34): gcc-8.3. 33% [======-             ] 4.0 MB/s |  15 MB     00:07 ETA(12/34): python-rpm-macros-3-37.el8.noarch.rpm  155 kB/s |  14 kB     00:00    
(13-14/34): gcc-8.3. 35% [=======             ] 4.2 MB/s |  17 MB     00:07 ETA(13/34): python-srpm-macros-3-37.el8.noarch.rpm 143 kB/s |  14 kB     00:00    
(14-15/34): gcc-8.3. 39% [=======-            ] 4.4 MB/s |  18 MB     00:06 ETA(14/34): platform-python-devel-3.6.8-15.1.el8.x 880 kB/s | 245 kB     00:00    
(15-16/34): gcc-8.3. 40% [========            ] 4.5 MB/s |  19 MB     00:06 ETA(15/34): python3-pip-9.0.3-15.el8.noarch.rpm    234 kB/s |  19 kB     00:00    
(16-17/34): gcc-8.3. 41% [========            ] 4.6 MB/s |  19 MB     00:05 ETA(16/34): python3-rpm-macros-3-37.el8.noarch.rpm 227 kB/s |  13 kB     00:00    
(17-18/34): gcc-8.3. 43% [========-           ] 4.7 MB/s |  20 MB     00:05 ETA(17/34): python3-rpm-generators-5-4.el8.noarch. 230 kB/s |  24 kB     00:00    
(18-19/34): gcc-8.3. 43% [========-           ] 4.7 MB/s |  20 MB     00:05 ETA(18/34): python3-wheel-wheel-0.31.1-2.module_el 341 kB/s |  44 kB     00:00    
(19-20/34): gcc-8.3. 49% [=========-          ] 5.1 MB/s |  23 MB     00:04 ETA(19/34): python3-virtualenv-15.1.0-19.module_el 576 kB/s | 100 kB     00:00    
(20-21/34): gcc-8.3. 50% [==========          ] 5.2 MB/s |  24 MB     00:04 ETA(20/34): python36-3.6.8-2.module_el8.1.0+245+c3 229 kB/s |  19 kB     00:00    
(21-22/34): gcc-8.3. 52% [==========-         ] 5.3 MB/s |  25 MB     00:04 ETA(21/34): python36-devel-3.6.8-2.module_el8.1.0+ 156 kB/s |  16 kB     00:00    
(22-23/34): gcc-8.3. 55% [===========         ] 5.5 MB/s |  26 MB     00:03 ETA(22/34): qt5-srpm-macros-5.11.1-2.el8.noarch.rp 154 kB/s |  11 kB     00:00    
(23-24/34): gcc-8.3. 55% [===========         ] 5.5 MB/s |  26 MB     00:03 ETA(23/34): rust-srpm-macros-5-2.el8.noarch.rpm     96 kB/s | 9.2 kB     00:00    
(24-25/34): gcc-8.3. 60% [============        ] 5.9 MB/s |  28 MB     00:03 ETA(24/34): redhat-rpm-config-120-1.el8.noarch.rpm 531 kB/s |  83 kB     00:00    
(25-26/34): augeas-l 63% [============-       ] 6.1 MB/s |  30 MB     00:02 ETA(25/34): gcc-8.3.1-4.5.el8.x86_64.rpm           9.5 MB/s |  23 MB     00:02    
(26-27/34): binutils 77% [===============     ] 6.8 MB/s |  36 MB     00:01 ETA(26/34): augeas-libs-1.12.0-2.el8.x86_64.rpm    683 kB/s | 436 kB     00:00    
(27-28/34): glibc-de 79% [===============-    ] 6.8 MB/s |  37 MB     00:01 ETA(27-29/34): glibc-de 82% [================    ] 6.7 MB/s |  38 MB     00:01 ETA(27/34): glibc-headers-2.28-72.el8.x86_64.rpm   996 kB/s | 469 kB     00:00    
(28-29/34): binutils 86% [=================   ] 6.8 MB/s |  40 MB     00:00 ETA(28/34): binutils-2.30-58.el8_1.1.x86_64.rpm    4.1 MB/s | 5.7 MB     00:01    
(29-30/34): glibc-de 93% [==================- ] 7.1 MB/s |  44 MB     00:00 ETA(29/34): libffi-devel-3.1-21.el8.x86_64.rpm     841 kB/s |  29 kB     00:00    
(30-31/34): glibc-de 94% [==================- ] 7.1 MB/s |  44 MB     00:00 ETA(30/34): glibc-devel-2.28-72.el8.x86_64.rpm     1.1 MB/s | 1.0 MB     00:00    
(31-32/34): kernel-h 94% [==================- ] 7.1 MB/s |  44 MB     00:00 ETA(31/34): libxcrypt-devel-4.1.1-4.el8.x86_64.rpm 757 kB/s |  25 kB     00:00    
(32-33/34): kernel-h 95% [=================== ] 7.1 MB/s |  44 MB     00:00 ETA(32/34): zip-3.0-23.el8.x86_64.rpm              4.8 MB/s | 270 kB     00:00    
(33-34/34): kernel-h 96% [=================== ] 7.2 MB/s |  45 MB     00:00 ETA(33/34): python3-setuptools-39.2.0-5.el8.noarch 2.0 MB/s | 162 kB     00:00    
(34/34): kernel-head 96% [=================== ] 7.2 MB/s |  45 MB     00:00 ETA(34/34): kernel-headers-4.18.0-147.5.1.el8_1.x8 4.0 MB/s | 2.7 MB     00:00    
--------------------------------------------------------------------------------
合計                                            9.0 MB/s |  46 MB     00:05     
トランザクションの確認を実行中
トランザクションの確認に成功しました。
トランザクションのテストを実行中
トランザクションのテストに成功しました。
トランザクションを実行中
  準備             :  [=                                                  ] 1/1  準備             :  [==                                                 ] 1/1  準備             :  [====                                               ] 1/1  準備             :  [=====                                              ] 1/1  準備             :  [=======                                            ] 1/1  準備             :  [========                                           ] 1/1  準備             :  [==========                                         ] 1/1  準備             :  [===========                                        ] 1/1  準備             :  [=============                                      ] 1/1  準備             :  [==============                                     ] 1/1  準備             :  [================                                   ] 1/1  準備             :  [=================                                  ] 1/1  準備             :  [===================                                ] 1/1  準備             :  [====================                               ] 1/1  準備             :  [======================                             ] 1/1  準備             :  [=======================                            ] 1/1  準備             :  [=========================                          ] 1/1  準備             :  [==========================                         ] 1/1  準備             :  [============================                       ] 1/1  準備             :  [=============================                      ] 1/1  準備             :  [===============================                    ] 1/1  準備             :  [================================                   ] 1/1  準備             :  [==================================                 ] 1/1  準備             :  [===================================                ] 1/1  準備             :  [=====================================              ] 1/1  準備             :  [======================================             ] 1/1  準備             :  [========================================           ] 1/1  準備             :  [=========================================          ] 1/1  準備             :  [===========================================        ] 1/1  準備             :  [============================================       ] 1/1  準備             :  [==============================================     ] 1/1  準備             :  [===============================================    ] 1/1  準備             :  [=================================================  ] 1/1  準備             :                                                        1/1 
  インストール中   : python3-setuptools-39.2. [                         ]  1/34  インストール中   : python3-setuptools-39.2. [=                        ]  1/34  インストール中   : python3-setuptools-39.2. [===                      ]  1/34  インストール中   : python3-setuptools-39.2. [=====                    ]  1/34  インストール中   : python3-setuptools-39.2. [======                   ]  1/34  インストール中   : python3-setuptools-39.2. [========                 ]  1/34  インストール中   : python3-setuptools-39.2. [==========               ]  1/34  インストール中   : python3-setuptools-39.2. [============             ]  1/34  インストール中   : python3-setuptools-39.2. [==============           ]  1/34  インストール中   : python3-setuptools-39.2. [================         ]  1/34  インストール中   : python3-setuptools-39.2. [=================        ]  1/34  インストール中   : python3-setuptools-39.2. [===================      ]  1/34  インストール中   : python3-setuptools-39.2. [=====================    ]  1/34  インストール中   : python3-setuptools-39.2. [=======================  ]  1/34  インストール中   : python3-setuptools-39.2. [======================== ]  1/34  インストール中   : python3-setuptools-39.2.0-5.el8.noarch                1/34 
  インストール中   : python36-3.6.8-2.module_ [                         ]  2/34  インストール中   : python36-3.6.8-2.module_ [=                        ]  2/34  インストール中   : python36-3.6.8-2.module_ [======================== ]  2/34  インストール中   : python36-3.6.8-2.module_el8.1.0+245+c39af44f.x86_6    2/34 
  scriptletの実行中: python36-3.6.8-2.module_el8.1.0+245+c39af44f.x86_6    2/34 
  インストール中   : python3-pip-9.0.3-15.el8 [                         ]  3/34  インストール中   : python3-pip-9.0.3-15.el8 [==                       ]  3/34  インストール中   : python3-pip-9.0.3-15.el8 [===                      ]  3/34  インストール中   : python3-pip-9.0.3-15.el8 [====                     ]  3/34  インストール中   : python3-pip-9.0.3-15.el8 [======                   ]  3/34  インストール中   : python3-pip-9.0.3-15.el8 [=======                  ]  3/34  インストール中   : python3-pip-9.0.3-15.el8 [========                 ]  3/34  インストール中   : python3-pip-9.0.3-15.el8 [================         ]  3/34  インストール中   : python3-pip-9.0.3-15.el8 [=================        ]  3/34  インストール中   : python3-pip-9.0.3-15.el8 [======================== ]  3/34  インストール中   : python3-pip-9.0.3-15.el8.noarch                       3/34 
  インストール中   : python3-rpm-macros-3-37. [                         ]  4/34  インストール中   : python3-rpm-macros-3-37. [=======================  ]  4/34  インストール中   : python3-rpm-macros-3-37.el8.noarch                    4/34 
  インストール中   : python-srpm-macros-3-37. [                         ]  5/34  インストール中   : python-srpm-macros-3-37. [======================== ]  5/34  インストール中   : python-srpm-macros-3-37.el8.noarch                    5/34 
  インストール中   : libmpc-1.0.2-9.el8.x86_6 [                         ]  6/34  インストール中   : libmpc-1.0.2-9.el8.x86_6 [=====                    ]  6/34  インストール中   : libmpc-1.0.2-9.el8.x86_6 [==========               ]  6/34  インストール中   : libmpc-1.0.2-9.el8.x86_6 [===============          ]  6/34  インストール中   : libmpc-1.0.2-9.el8.x86_6 [=====================    ]  6/34  インストール中   : libmpc-1.0.2-9.el8.x86_6 [======================   ]  6/34  インストール中   : libmpc-1.0.2-9.el8.x86_6 [=======================  ]  6/34  インストール中   : libmpc-1.0.2-9.el8.x86_6 [======================== ]  6/34  インストール中   : libmpc-1.0.2-9.el8.x86_64                             6/34 
  scriptletの実行中: libmpc-1.0.2-9.el8.x86_64                             6/34 
  インストール中   : cpp-8.3.1-4.5.el8.x86_64 [                         ]  7/34  インストール中   : cpp-8.3.1-4.5.el8.x86_64 [=                        ]  7/34  インストール中   : cpp-8.3.1-4.5.el8.x86_64 [==                       ]  7/34  インストール中   : cpp-8.3.1-4.5.el8.x86_64 [===                      ]  7/34  インストール中   : cpp-8.3.1-4.5.el8.x86_64 [====                     ]  7/34  インストール中   : cpp-8.3.1-4.5.el8.x86_64 [=====                    ]  7/34  インストール中   : cpp-8.3.1-4.5.el8.x86_64 [======                   ]  7/34  インストール中   : cpp-8.3.1-4.5.el8.x86_64 [=======                  ]  7/34  インストール中   : cpp-8.3.1-4.5.el8.x86_64 [========                 ]  7/34  インストール中   : cpp-8.3.1-4.5.el8.x86_64 [=========                ]  7/34  インストール中   : cpp-8.3.1-4.5.el8.x86_64 [==========               ]  7/34  インストール中   : cpp-8.3.1-4.5.el8.x86_64 [===========              ]  7/34  インストール中   : cpp-8.3.1-4.5.el8.x86_64 [============             ]  7/34  インストール中   : cpp-8.3.1-4.5.el8.x86_64 [=============            ]  7/34  インストール中   : cpp-8.3.1-4.5.el8.x86_64 [==============           ]  7/34  インストール中   : cpp-8.3.1-4.5.el8.x86_64 [===============          ]  7/34  インストール中   : cpp-8.3.1-4.5.el8.x86_64 [================         ]  7/34  インストール中   : cpp-8.3.1-4.5.el8.x86_64 [=================        ]  7/34  インストール中   : cpp-8.3.1-4.5.el8.x86_64 [==================       ]  7/34  インストール中   : cpp-8.3.1-4.5.el8.x86_64 [===================      ]  7/34  インストール中   : cpp-8.3.1-4.5.el8.x86_64 [====================     ]  7/34  インストール中   : cpp-8.3.1-4.5.el8.x86_64 [=====================    ]  7/34  インストール中   : cpp-8.3.1-4.5.el8.x86_64 [======================   ]  7/34  インストール中   : cpp-8.3.1-4.5.el8.x86_64 [=======================  ]  7/34  インストール中   : cpp-8.3.1-4.5.el8.x86_64 [======================== ]  7/34  インストール中   : cpp-8.3.1-4.5.el8.x86_64                              7/34 
  scriptletの実行中: cpp-8.3.1-4.5.el8.x86_64                              7/34 
  インストール中   : python-rpm-macros-3-37.e [                         ]  8/34  インストール中   : python-rpm-macros-3-37.e [======                   ]  8/34  インストール中   : python-rpm-macros-3-37.e [======================== ]  8/34  インストール中   : python-rpm-macros-3-37.el8.noarch                     8/34 
  インストール中   : zip-3.0-23.el8.x86_64 [                            ]  9/34  インストール中   : zip-3.0-23.el8.x86_64 [=                           ]  9/34  インストール中   : zip-3.0-23.el8.x86_64 [===                         ]  9/34  インストール中   : zip-3.0-23.el8.x86_64 [====                        ]  9/34  インストール中   : zip-3.0-23.el8.x86_64 [=====                       ]  9/34  インストール中   : zip-3.0-23.el8.x86_64 [======                      ]  9/34  インストール中   : zip-3.0-23.el8.x86_64 [=======                     ]  9/34  インストール中   : zip-3.0-23.el8.x86_64 [========                    ]  9/34  インストール中   : zip-3.0-23.el8.x86_64 [=========                   ]  9/34  インストール中   : zip-3.0-23.el8.x86_64 [==========                  ]  9/34  インストール中   : zip-3.0-23.el8.x86_64 [===========                 ]  9/34  インストール中   : zip-3.0-23.el8.x86_64 [============                ]  9/34  インストール中   : zip-3.0-23.el8.x86_64 [=============               ]  9/34  インストール中   : zip-3.0-23.el8.x86_64 [==============              ]  9/34  インストール中   : zip-3.0-23.el8.x86_64 [===============             ]  9/34  インストール中   : zip-3.0-23.el8.x86_64 [================            ]  9/34  インストール中   : zip-3.0-23.el8.x86_64 [=================           ]  9/34  インストール中   : zip-3.0-23.el8.x86_64 [==================          ]  9/34  インストール中   : zip-3.0-23.el8.x86_64 [===================         ]  9/34  インストール中   : zip-3.0-23.el8.x86_64 [=====================       ]  9/34  インストール中   : zip-3.0-23.el8.x86_64 [======================      ]  9/34  インストール中   : zip-3.0-23.el8.x86_64 [=======================     ]  9/34  インストール中   : zip-3.0-23.el8.x86_64 [========================    ]  9/34  インストール中   : zip-3.0-23.el8.x86_64 [=========================   ]  9/34  インストール中   : zip-3.0-23.el8.x86_64 [==========================  ]  9/34  インストール中   : zip-3.0-23.el8.x86_64 [=========================== ]  9/34  インストール中   : zip-3.0-23.el8.x86_64                                 9/34 
  インストール中   : kernel-headers-4.18.0-14 [                         ] 10/34  インストール中   : kernel-headers-4.18.0-14 [=                        ] 10/34  インストール中   : kernel-headers-4.18.0-14 [==                       ] 10/34  インストール中   : kernel-headers-4.18.0-14 [===                      ] 10/34  インストール中   : kernel-headers-4.18.0-14 [====                     ] 10/34  インストール中   : kernel-headers-4.18.0-14 [=====                    ] 10/34  インストール中   : kernel-headers-4.18.0-14 [======                   ] 10/34  インストール中   : kernel-headers-4.18.0-14 [=======                  ] 10/34  インストール中   : kernel-headers-4.18.0-14 [========                 ] 10/34  インストール中   : kernel-headers-4.18.0-14 [=========                ] 10/34  インストール中   : kernel-headers-4.18.0-14 [==========               ] 10/34  インストール中   : kernel-headers-4.18.0-14 [===========              ] 10/34  インストール中   : kernel-headers-4.18.0-14 [============             ] 10/34  インストール中   : kernel-headers-4.18.0-14 [=============            ] 10/34  インストール中   : kernel-headers-4.18.0-14 [==============           ] 10/34  インストール中   : kernel-headers-4.18.0-14 [===============          ] 10/34  インストール中   : kernel-headers-4.18.0-14 [================         ] 10/34  インストール中   : kernel-headers-4.18.0-14 [=================        ] 10/34  インストール中   : kernel-headers-4.18.0-14 [==================       ] 10/34  インストール中   : kernel-headers-4.18.0-14 [===================      ] 10/34  インストール中   : kernel-headers-4.18.0-14 [====================     ] 10/34  インストール中   : kernel-headers-4.18.0-14 [=====================    ] 10/34  インストール中   : kernel-headers-4.18.0-14 [======================   ] 10/34  インストール中   : kernel-headers-4.18.0-14 [=======================  ] 10/34  インストール中   : kernel-headers-4.18.0-14 [======================== ] 10/34  インストール中   : kernel-headers-4.18.0-147.5.1.el8_1.x86_64           10/34 
  scriptletの実行中: glibc-headers-2.28-72.el8.x86_64                     11/34 
  インストール中   : glibc-headers-2.28-72.el [                         ] 11/34  インストール中   : glibc-headers-2.28-72.el [=                        ] 11/34  インストール中   : glibc-headers-2.28-72.el [==                       ] 11/34  インストール中   : glibc-headers-2.28-72.el [===                      ] 11/34  インストール中   : glibc-headers-2.28-72.el [====                     ] 11/34  インストール中   : glibc-headers-2.28-72.el [=====                    ] 11/34  インストール中   : glibc-headers-2.28-72.el [======                   ] 11/34  インストール中   : glibc-headers-2.28-72.el [=======                  ] 11/34  インストール中   : glibc-headers-2.28-72.el [========                 ] 11/34  インストール中   : glibc-headers-2.28-72.el [=========                ] 11/34  インストール中   : glibc-headers-2.28-72.el [==========               ] 11/34  インストール中   : glibc-headers-2.28-72.el [===========              ] 11/34  インストール中   : glibc-headers-2.28-72.el [============             ] 11/34  インストール中   : glibc-headers-2.28-72.el [=============            ] 11/34  インストール中   : glibc-headers-2.28-72.el [==============           ] 11/34  インストール中   : glibc-headers-2.28-72.el [===============          ] 11/34  インストール中   : glibc-headers-2.28-72.el [================         ] 11/34  インストール中   : glibc-headers-2.28-72.el [=================        ] 11/34  インストール中   : glibc-headers-2.28-72.el [==================       ] 11/34  インストール中   : glibc-headers-2.28-72.el [===================      ] 11/34  インストール中   : glibc-headers-2.28-72.el [====================     ] 11/34  インストール中   : glibc-headers-2.28-72.el [=====================    ] 11/34  インストール中   : glibc-headers-2.28-72.el [======================   ] 11/34  インストール中   : glibc-headers-2.28-72.el [=======================  ] 11/34  インストール中   : glibc-headers-2.28-72.el [======================== ] 11/34  インストール中   : glibc-headers-2.28-72.el8.x86_64                     11/34 
  インストール中   : libxcrypt-devel-4.1.1-4. [                         ] 12/34  インストール中   : libxcrypt-devel-4.1.1-4. [========                 ] 12/34  インストール中   : libxcrypt-devel-4.1.1-4. [=========                ] 12/34  インストール中   : libxcrypt-devel-4.1.1-4. [===============          ] 12/34  インストール中   : libxcrypt-devel-4.1.1-4. [=================        ] 12/34  インストール中   : libxcrypt-devel-4.1.1-4. [==================       ] 12/34  インストール中   : libxcrypt-devel-4.1.1-4. [====================     ] 12/34  インストール中   : libxcrypt-devel-4.1.1-4. [======================== ] 12/34  インストール中   : libxcrypt-devel-4.1.1-4.el8.x86_64                   12/34 
  インストール中   : glibc-devel-2.28-72.el8. [                         ] 13/34  インストール中   : glibc-devel-2.28-72.el8. [=                        ] 13/34  インストール中   : glibc-devel-2.28-72.el8. [==                       ] 13/34  インストール中   : glibc-devel-2.28-72.el8. [===                      ] 13/34  インストール中   : glibc-devel-2.28-72.el8. [====                     ] 13/34  インストール中   : glibc-devel-2.28-72.el8. [=====                    ] 13/34  インストール中   : glibc-devel-2.28-72.el8. [======                   ] 13/34  インストール中   : glibc-devel-2.28-72.el8. [=======                  ] 13/34  インストール中   : glibc-devel-2.28-72.el8. [========                 ] 13/34  インストール中   : glibc-devel-2.28-72.el8. [=========                ] 13/34  インストール中   : glibc-devel-2.28-72.el8. [==========               ] 13/34  インストール中   : glibc-devel-2.28-72.el8. [===========              ] 13/34  インストール中   : glibc-devel-2.28-72.el8. [============             ] 13/34  インストール中   : glibc-devel-2.28-72.el8. [=============            ] 13/34  インストール中   : glibc-devel-2.28-72.el8. [==============           ] 13/34  インストール中   : glibc-devel-2.28-72.el8. [===============          ] 13/34  インストール中   : glibc-devel-2.28-72.el8. [================         ] 13/34  インストール中   : glibc-devel-2.28-72.el8. [=================        ] 13/34  インストール中   : glibc-devel-2.28-72.el8. [==================       ] 13/34  インストール中   : glibc-devel-2.28-72.el8. [===================      ] 13/34  インストール中   : glibc-devel-2.28-72.el8. [====================     ] 13/34  インストール中   : glibc-devel-2.28-72.el8. [=====================    ] 13/34  インストール中   : glibc-devel-2.28-72.el8. [======================   ] 13/34  インストール中   : glibc-devel-2.28-72.el8. [=======================  ] 13/34  インストール中   : glibc-devel-2.28-72.el8. [======================== ] 13/34  インストール中   : glibc-devel-2.28-72.el8.x86_64                       13/34 
  scriptletの実行中: glibc-devel-2.28-72.el8.x86_64                       13/34 
  インストール中   : binutils-2.30-58.el8_1.1 [                         ] 14/34  インストール中   : binutils-2.30-58.el8_1.1 [=                        ] 14/34  インストール中   : binutils-2.30-58.el8_1.1 [==                       ] 14/34  インストール中   : binutils-2.30-58.el8_1.1 [===                      ] 14/34  インストール中   : binutils-2.30-58.el8_1.1 [====                     ] 14/34  インストール中   : binutils-2.30-58.el8_1.1 [=====                    ] 14/34  インストール中   : binutils-2.30-58.el8_1.1 [======                   ] 14/34  インストール中   : binutils-2.30-58.el8_1.1 [=======                  ] 14/34  インストール中   : binutils-2.30-58.el8_1.1 [========                 ] 14/34  インストール中   : binutils-2.30-58.el8_1.1 [=========                ] 14/34  インストール中   : binutils-2.30-58.el8_1.1 [==========               ] 14/34  インストール中   : binutils-2.30-58.el8_1.1 [===========              ] 14/34  インストール中   : binutils-2.30-58.el8_1.1 [============             ] 14/34  インストール中   : binutils-2.30-58.el8_1.1 [=============            ] 14/34  インストール中   : binutils-2.30-58.el8_1.1 [==============           ] 14/34  インストール中   : binutils-2.30-58.el8_1.1 [===============          ] 14/34  インストール中   : binutils-2.30-58.el8_1.1 [================         ] 14/34  インストール中   : binutils-2.30-58.el8_1.1 [=================        ] 14/34  インストール中   : binutils-2.30-58.el8_1.1 [==================       ] 14/34  インストール中   : binutils-2.30-58.el8_1.1 [===================      ] 14/34  インストール中   : binutils-2.30-58.el8_1.1 [====================     ] 14/34  インストール中   : binutils-2.30-58.el8_1.1 [=====================    ] 14/34  インストール中   : binutils-2.30-58.el8_1.1 [======================   ] 14/34  インストール中   : binutils-2.30-58.el8_1.1 [=======================  ] 14/34  インストール中   : binutils-2.30-58.el8_1.1 [======================== ] 14/34  インストール中   : binutils-2.30-58.el8_1.1.x86_64                      14/34 
  scriptletの実行中: binutils-2.30-58.el8_1.1.x86_64                      14/34 
  インストール中   : rust-srpm-macros-5-2.el8 [                         ] 15/34  インストール中   : rust-srpm-macros-5-2.el8 [===                      ] 15/34  インストール中   : rust-srpm-macros-5-2.el8 [=====                    ] 15/34  インストール中   : rust-srpm-macros-5-2.el8 [=======================  ] 15/34  インストール中   : rust-srpm-macros-5-2.el8.noarch                      15/34 
  インストール中   : qt5-srpm-macros-5.11.1-2 [                         ] 16/34  インストール中   : qt5-srpm-macros-5.11.1-2 [====================     ] 16/34  インストール中   : qt5-srpm-macros-5.11.1-2.el8.noarch                  16/34 
  インストール中   : python3-wheel-wheel-1:0. [                         ] 17/34  インストール中   : python3-wheel-wheel-1:0. [=                        ] 17/34  インストール中   : python3-wheel-wheel-1:0. [======================== ] 17/34  インストール中   : python3-wheel-wheel-1:0.31.1-2.module_el8.1.0+245+   17/34 
  インストール中   : python3-rpm-generators-5 [                         ] 18/34  インストール中   : python3-rpm-generators-5 [=====                    ] 18/34  インストール中   : python3-rpm-generators-5 [===================      ] 18/34  インストール中   : python3-rpm-generators-5 [======================== ] 18/34  インストール中   : python3-rpm-generators-5-4.el8.noarch                18/34 
  インストール中   : platform-python-devel-3. [                         ] 19/34  インストール中   : platform-python-devel-3. [=                        ] 19/34  インストール中   : platform-python-devel-3. [==                       ] 19/34  インストール中   : platform-python-devel-3. [===                      ] 19/34  インストール中   : platform-python-devel-3. [====                     ] 19/34  インストール中   : platform-python-devel-3. [=====                    ] 19/34  インストール中   : platform-python-devel-3. [======                   ] 19/34  インストール中   : platform-python-devel-3. [=======                  ] 19/34  インストール中   : platform-python-devel-3. [========                 ] 19/34  インストール中   : platform-python-devel-3. [=========                ] 19/34  インストール中   : platform-python-devel-3. [==========               ] 19/34  インストール中   : platform-python-devel-3. [===========              ] 19/34  インストール中   : platform-python-devel-3. [============             ] 19/34  インストール中   : platform-python-devel-3. [=============            ] 19/34  インストール中   : platform-python-devel-3. [==============           ] 19/34  インストール中   : platform-python-devel-3. [===============          ] 19/34  インストール中   : platform-python-devel-3. [================         ] 19/34  インストール中   : platform-python-devel-3. [=================        ] 19/34  インストール中   : platform-python-devel-3. [==================       ] 19/34  インストール中   : platform-python-devel-3. [===================      ] 19/34  インストール中   : platform-python-devel-3. [====================     ] 19/34  インストール中   : platform-python-devel-3. [=====================    ] 19/34  インストール中   : platform-python-devel-3. [=======================  ] 19/34  インストール中   : platform-python-devel-3. [======================== ] 19/34  インストール中   : platform-python-devel-3.6.8-15.1.el8.x86_64          19/34 
  インストール中   : python36-devel-3.6.8-2.m [                         ] 20/34  インストール中   : python36-devel-3.6.8-2.m [=                        ] 20/34  インストール中   : python36-devel-3.6.8-2.m [==                       ] 20/34  インストール中   : python36-devel-3.6.8-2.m [======================== ] 20/34  インストール中   : python36-devel-3.6.8-2.module_el8.1.0+245+c39af44f   20/34 
  scriptletの実行中: python36-devel-3.6.8-2.module_el8.1.0+245+c39af44f   20/34 
  インストール中   : perl-srpm-macros-1-25.el [                         ] 21/34  インストール中   : perl-srpm-macros-1-25.el [======================   ] 21/34  インストール中   : perl-srpm-macros-1-25.el8.noarch                     21/34 
  インストール中   : openblas-srpm-macros-2-2 [                         ] 22/34  インストール中   : openblas-srpm-macros-2-2 [================         ] 22/34  インストール中   : openblas-srpm-macros-2-2.el8.noarch                  22/34 
  インストール中   : ocaml-srpm-macros-5-4.el [                         ] 23/34  インストール中   : ocaml-srpm-macros-5-4.el [=====================    ] 23/34  インストール中   : ocaml-srpm-macros-5-4.el8.noarch                     23/34 
  インストール中   : isl-0.16.1-6.el8.x86_64 [                          ] 24/34  インストール中   : isl-0.16.1-6.el8.x86_64 [=                         ] 24/34  インストール中   : isl-0.16.1-6.el8.x86_64 [==                        ] 24/34  インストール中   : isl-0.16.1-6.el8.x86_64 [===                       ] 24/34  インストール中   : isl-0.16.1-6.el8.x86_64 [====                      ] 24/34  インストール中   : isl-0.16.1-6.el8.x86_64 [=====                     ] 24/34  インストール中   : isl-0.16.1-6.el8.x86_64 [======                    ] 24/34  インストール中   : isl-0.16.1-6.el8.x86_64 [=======                   ] 24/34  インストール中   : isl-0.16.1-6.el8.x86_64 [========                  ] 24/34  インストール中   : isl-0.16.1-6.el8.x86_64 [=========                 ] 24/34  インストール中   : isl-0.16.1-6.el8.x86_64 [==========                ] 24/34  インストール中   : isl-0.16.1-6.el8.x86_64 [===========               ] 24/34  インストール中   : isl-0.16.1-6.el8.x86_64 [============              ] 24/34  インストール中   : isl-0.16.1-6.el8.x86_64 [=============             ] 24/34  インストール中   : isl-0.16.1-6.el8.x86_64 [==============            ] 24/34  インストール中   : isl-0.16.1-6.el8.x86_64 [===============           ] 24/34  インストール中   : isl-0.16.1-6.el8.x86_64 [================          ] 24/34  インストール中   : isl-0.16.1-6.el8.x86_64 [=================         ] 24/34  インストール中   : isl-0.16.1-6.el8.x86_64 [==================        ] 24/34  インストール中   : isl-0.16.1-6.el8.x86_64 [===================       ] 24/34  インストール中   : isl-0.16.1-6.el8.x86_64 [====================      ] 24/34  インストール中   : isl-0.16.1-6.el8.x86_64 [=====================     ] 24/34  インストール中   : isl-0.16.1-6.el8.x86_64 [======================    ] 24/34  インストール中   : isl-0.16.1-6.el8.x86_64 [=======================   ] 24/34  インストール中   : isl-0.16.1-6.el8.x86_64 [========================  ] 24/34  インストール中   : isl-0.16.1-6.el8.x86_64 [========================= ] 24/34  インストール中   : isl-0.16.1-6.el8.x86_64                              24/34 
  scriptletの実行中: isl-0.16.1-6.el8.x86_64                              24/34 
  インストール中   : gcc-8.3.1-4.5.el8.x86_64 [                         ] 25/34  インストール中   : gcc-8.3.1-4.5.el8.x86_64 [=                        ] 25/34  インストール中   : gcc-8.3.1-4.5.el8.x86_64 [==                       ] 25/34  インストール中   : gcc-8.3.1-4.5.el8.x86_64 [===                      ] 25/34  インストール中   : gcc-8.3.1-4.5.el8.x86_64 [====                     ] 25/34  インストール中   : gcc-8.3.1-4.5.el8.x86_64 [=====                    ] 25/34  インストール中   : gcc-8.3.1-4.5.el8.x86_64 [======                   ] 25/34  インストール中   : gcc-8.3.1-4.5.el8.x86_64 [=======                  ] 25/34  インストール中   : gcc-8.3.1-4.5.el8.x86_64 [========                 ] 25/34  インストール中   : gcc-8.3.1-4.5.el8.x86_64 [=========                ] 25/34  インストール中   : gcc-8.3.1-4.5.el8.x86_64 [==========               ] 25/34  インストール中   : gcc-8.3.1-4.5.el8.x86_64 [===========              ] 25/34  インストール中   : gcc-8.3.1-4.5.el8.x86_64 [============             ] 25/34  インストール中   : gcc-8.3.1-4.5.el8.x86_64 [=============            ] 25/34  インストール中   : gcc-8.3.1-4.5.el8.x86_64 [==============           ] 25/34  インストール中   : gcc-8.3.1-4.5.el8.x86_64 [===============          ] 25/34  インストール中   : gcc-8.3.1-4.5.el8.x86_64 [================         ] 25/34  インストール中   : gcc-8.3.1-4.5.el8.x86_64 [=================        ] 25/34  インストール中   : gcc-8.3.1-4.5.el8.x86_64 [==================       ] 25/34  インストール中   : gcc-8.3.1-4.5.el8.x86_64 [===================      ] 25/34  インストール中   : gcc-8.3.1-4.5.el8.x86_64 [====================     ] 25/34  インストール中   : gcc-8.3.1-4.5.el8.x86_64 [=====================    ] 25/34  インストール中   : gcc-8.3.1-4.5.el8.x86_64 [======================   ] 25/34  インストール中   : gcc-8.3.1-4.5.el8.x86_64 [=======================  ] 25/34  インストール中   : gcc-8.3.1-4.5.el8.x86_64 [======================== ] 25/34  インストール中   : gcc-8.3.1-4.5.el8.x86_64                             25/34 
  scriptletの実行中: gcc-8.3.1-4.5.el8.x86_64                             25/34 
  インストール中   : annobin-8.78-1.el8.x86_6 [                         ] 26/34  インストール中   : annobin-8.78-1.el8.x86_6 [=                        ] 26/34  インストール中   : annobin-8.78-1.el8.x86_6 [===                      ] 26/34  インストール中   : annobin-8.78-1.el8.x86_6 [=====                    ] 26/34  インストール中   : annobin-8.78-1.el8.x86_6 [=======                  ] 26/34  インストール中   : annobin-8.78-1.el8.x86_6 [=========                ] 26/34  インストール中   : annobin-8.78-1.el8.x86_6 [===========              ] 26/34  インストール中   : annobin-8.78-1.el8.x86_6 [=============            ] 26/34  インストール中   : annobin-8.78-1.el8.x86_6 [==============           ] 26/34  インストール中   : annobin-8.78-1.el8.x86_6 [================         ] 26/34  インストール中   : annobin-8.78-1.el8.x86_6 [=================        ] 26/34  インストール中   : annobin-8.78-1.el8.x86_6 [==================       ] 26/34  インストール中   : annobin-8.78-1.el8.x86_6 [===================      ] 26/34  インストール中   : annobin-8.78-1.el8.x86_6 [====================     ] 26/34  インストール中   : annobin-8.78-1.el8.x86_6 [=====================    ] 26/34  インストール中   : annobin-8.78-1.el8.x86_6 [=======================  ] 26/34  インストール中   : annobin-8.78-1.el8.x86_6 [======================== ] 26/34  インストール中   : annobin-8.78-1.el8.x86_64                            26/34 
  インストール中   : go-srpm-macros-2-16.el8. [                         ] 27/34  インストール中   : go-srpm-macros-2-16.el8. [===============          ] 27/34  インストール中   : go-srpm-macros-2-16.el8. [======================== ] 27/34  インストール中   : go-srpm-macros-2-16.el8.noarch                       27/34 
  インストール中   : ghc-srpm-macros-1.4.2-7. [                         ] 28/34  インストール中   : ghc-srpm-macros-1.4.2-7. [====================     ] 28/34  インストール中   : ghc-srpm-macros-1.4.2-7.el8.noarch                   28/34 
  インストール中   : efi-srpm-macros-3-2.el8. [                         ] 29/34  インストール中   : efi-srpm-macros-3-2.el8. [==                       ] 29/34  インストール中   : efi-srpm-macros-3-2.el8. [=======================  ] 29/34  インストール中   : efi-srpm-macros-3-2.el8. [======================== ] 29/34  インストール中   : efi-srpm-macros-3-2.el8.noarch                       29/34 
  インストール中   : dwz-0.12-9.el8.x86_64 [                            ] 30/34  インストール中   : dwz-0.12-9.el8.x86_64 [===                         ] 30/34  インストール中   : dwz-0.12-9.el8.x86_64 [=======                     ] 30/34  インストール中   : dwz-0.12-9.el8.x86_64 [===========                 ] 30/34  インストール中   : dwz-0.12-9.el8.x86_64 [===============             ] 30/34  インストール中   : dwz-0.12-9.el8.x86_64 [===================         ] 30/34  インストール中   : dwz-0.12-9.el8.x86_64 [====================        ] 30/34  インストール中   : dwz-0.12-9.el8.x86_64 [======================      ] 30/34  インストール中   : dwz-0.12-9.el8.x86_64 [=======================     ] 30/34  インストール中   : dwz-0.12-9.el8.x86_64 [=========================== ] 30/34  インストール中   : dwz-0.12-9.el8.x86_64                                30/34 
  インストール中   : redhat-rpm-config-120-1. [                         ] 31/34  インストール中   : redhat-rpm-config-120-1. [==                       ] 31/34  インストール中   : redhat-rpm-config-120-1. [===                      ] 31/34  インストール中   : redhat-rpm-config-120-1. [====                     ] 31/34  インストール中   : redhat-rpm-config-120-1. [=========                ] 31/34  インストール中   : redhat-rpm-config-120-1. [===========              ] 31/34  インストール中   : redhat-rpm-config-120-1. [=================        ] 31/34  インストール中   : redhat-rpm-config-120-1. [==================       ] 31/34  インストール中   : redhat-rpm-config-120-1. [====================     ] 31/34  インストール中   : redhat-rpm-config-120-1. [=====================    ] 31/34  インストール中   : redhat-rpm-config-120-1. [======================== ] 31/34  インストール中   : redhat-rpm-config-120-1.el8.noarch                   31/34 
  インストール中   : python3-virtualenv-15.1. [                         ] 32/34  インストール中   : python3-virtualenv-15.1. [==                       ] 32/34  インストール中   : python3-virtualenv-15.1. [=====                    ] 32/34  インストール中   : python3-virtualenv-15.1. [========                 ] 32/34  インストール中   : python3-virtualenv-15.1. [===========              ] 32/34  インストール中   : python3-virtualenv-15.1. [============             ] 32/34  インストール中   : python3-virtualenv-15.1. [==============           ] 32/34  インストール中   : python3-virtualenv-15.1. [=================        ] 32/34  インストール中   : python3-virtualenv-15.1. [====================     ] 32/34  インストール中   : python3-virtualenv-15.1. [======================   ] 32/34  インストール中   : python3-virtualenv-15.1. [=======================  ] 32/34  インストール中   : python3-virtualenv-15.1. [======================== ] 32/34  インストール中   : python3-virtualenv-15.1.0-19.module_el8.1.0+245+c3   32/34 
  scriptletの実行中: python3-virtualenv-15.1.0-19.module_el8.1.0+245+c3   32/34 
  インストール中   : libffi-devel-3.1-21.el8. [                         ] 33/34  インストール中   : libffi-devel-3.1-21.el8. [===========              ] 33/34  インストール中   : libffi-devel-3.1-21.el8. [===============          ] 33/34  インストール中   : libffi-devel-3.1-21.el8. [================         ] 33/34  インストール中   : libffi-devel-3.1-21.el8. [======================   ] 33/34  インストール中   : libffi-devel-3.1-21.el8. [=======================  ] 33/34  インストール中   : libffi-devel-3.1-21.el8. [======================== ] 33/34  インストール中   : libffi-devel-3.1-21.el8.x86_64                       33/34 
  scriptletの実行中: libffi-devel-3.1-21.el8.x86_64                       33/34 
  インストール中   : augeas-libs-1.12.0-2.el8 [                         ] 34/34  インストール中   : augeas-libs-1.12.0-2.el8 [=                        ] 34/34  インストール中   : augeas-libs-1.12.0-2.el8 [==                       ] 34/34  インストール中   : augeas-libs-1.12.0-2.el8 [===                      ] 34/34  インストール中   : augeas-libs-1.12.0-2.el8 [====                     ] 34/34  インストール中   : augeas-libs-1.12.0-2.el8 [=====                    ] 34/34  インストール中   : augeas-libs-1.12.0-2.el8 [======                   ] 34/34  インストール中   : augeas-libs-1.12.0-2.el8 [=======                  ] 34/34  インストール中   : augeas-libs-1.12.0-2.el8 [========                 ] 34/34  インストール中   : augeas-libs-1.12.0-2.el8 [=========                ] 34/34  インストール中   : augeas-libs-1.12.0-2.el8 [==========               ] 34/34  インストール中   : augeas-libs-1.12.0-2.el8 [===========              ] 34/34  インストール中   : augeas-libs-1.12.0-2.el8 [============             ] 34/34  インストール中   : augeas-libs-1.12.0-2.el8 [=============            ] 34/34  インストール中   : augeas-libs-1.12.0-2.el8 [==============           ] 34/34  インストール中   : augeas-libs-1.12.0-2.el8 [===============          ] 34/34  インストール中   : augeas-libs-1.12.0-2.el8 [================         ] 34/34  インストール中   : augeas-libs-1.12.0-2.el8 [=================        ] 34/34  インストール中   : augeas-libs-1.12.0-2.el8 [==================       ] 34/34  インストール中   : augeas-libs-1.12.0-2.el8 [===================      ] 34/34  インストール中   : augeas-libs-1.12.0-2.el8 [====================     ] 34/34  インストール中   : augeas-libs-1.12.0-2.el8 [=====================    ] 34/34  インストール中   : augeas-libs-1.12.0-2.el8 [======================   ] 34/34  インストール中   : augeas-libs-1.12.0-2.el8 [=======================  ] 34/34  インストール中   : augeas-libs-1.12.0-2.el8 [======================== ] 34/34  インストール中   : augeas-libs-1.12.0-2.el8.x86_64                      34/34 
  scriptletの実行中: augeas-libs-1.12.0-2.el8.x86_64                      34/34 
  検証             : annobin-8.78-1.el8.x86_64                             1/34 
  検証             : cpp-8.3.1-4.5.el8.x86_64                              2/34 
  検証             : dwz-0.12-9.el8.x86_64                                 3/34 
  検証             : efi-srpm-macros-3-2.el8.noarch                        4/34 
  検証             : gcc-8.3.1-4.5.el8.x86_64                              5/34 
  検証             : ghc-srpm-macros-1.4.2-7.el8.noarch                    6/34 
  検証             : go-srpm-macros-2-16.el8.noarch                        7/34 
  検証             : isl-0.16.1-6.el8.x86_64                               8/34 
  検証             : libmpc-1.0.2-9.el8.x86_64                             9/34 
  検証             : ocaml-srpm-macros-5-4.el8.noarch                     10/34 
  検証             : openblas-srpm-macros-2-2.el8.noarch                  11/34 
  検証             : perl-srpm-macros-1-25.el8.noarch                     12/34 
  検証             : platform-python-devel-3.6.8-15.1.el8.x86_64          13/34 
  検証             : python-rpm-macros-3-37.el8.noarch                    14/34 
  検証             : python-srpm-macros-3-37.el8.noarch                   15/34 
  検証             : python3-pip-9.0.3-15.el8.noarch                      16/34 
  検証             : python3-rpm-generators-5-4.el8.noarch                17/34 
  検証             : python3-rpm-macros-3-37.el8.noarch                   18/34 
  検証             : python3-virtualenv-15.1.0-19.module_el8.1.0+245+c3   19/34 
  検証             : python3-wheel-wheel-1:0.31.1-2.module_el8.1.0+245+   20/34 
  検証             : python36-3.6.8-2.module_el8.1.0+245+c39af44f.x86_6   21/34 
  検証             : python36-devel-3.6.8-2.module_el8.1.0+245+c39af44f   22/34 
  検証             : qt5-srpm-macros-5.11.1-2.el8.noarch                  23/34 
  検証             : redhat-rpm-config-120-1.el8.noarch                   24/34 
  検証             : rust-srpm-macros-5-2.el8.noarch                      25/34 
  検証             : augeas-libs-1.12.0-2.el8.x86_64                      26/34 
  検証             : binutils-2.30-58.el8_1.1.x86_64                      27/34 
  検証             : glibc-devel-2.28-72.el8.x86_64                       28/34 
  検証             : glibc-headers-2.28-72.el8.x86_64                     29/34 
  検証             : kernel-headers-4.18.0-147.5.1.el8_1.x86_64           30/34 
  検証             : libffi-devel-3.1-21.el8.x86_64                       31/34 
  検証             : libxcrypt-devel-4.1.1-4.el8.x86_64                   32/34 
  検証             : python3-setuptools-39.2.0-5.el8.noarch               33/34 
  検証             : zip-3.0-23.el8.x86_64                                34/34 

インストール済み:
  gcc-8.3.1-4.5.el8.x86_64                                                      
  python3-virtualenv-15.1.0-19.module_el8.1.0+245+c39af44f.noarch               
  python36-3.6.8-2.module_el8.1.0+245+c39af44f.x86_64                           
  python36-devel-3.6.8-2.module_el8.1.0+245+c39af44f.x86_64                     
  redhat-rpm-config-120-1.el8.noarch                                            
  augeas-libs-1.12.0-2.el8.x86_64                                               
  libffi-devel-3.1-21.el8.x86_64                                                
  annobin-8.78-1.el8.x86_64                                                     
  cpp-8.3.1-4.5.el8.x86_64                                                      
  dwz-0.12-9.el8.x86_64                                                         
  efi-srpm-macros-3-2.el8.noarch                                                
  ghc-srpm-macros-1.4.2-7.el8.noarch                                            
  go-srpm-macros-2-16.el8.noarch                                                
  isl-0.16.1-6.el8.x86_64                                                       
  libmpc-1.0.2-9.el8.x86_64                                                     
  ocaml-srpm-macros-5-4.el8.noarch                                              
  openblas-srpm-macros-2-2.el8.noarch                                           
  perl-srpm-macros-1-25.el8.noarch                                              
  platform-python-devel-3.6.8-15.1.el8.x86_64                                   
  python-rpm-macros-3-37.el8.noarch                                             
  python-srpm-macros-3-37.el8.noarch                                            
  python3-pip-9.0.3-15.el8.noarch                                               
  python3-rpm-generators-5-4.el8.noarch                                         
  python3-rpm-macros-3-37.el8.noarch                                            
  python3-wheel-wheel-1:0.31.1-2.module_el8.1.0+245+c39af44f.noarch             
  qt5-srpm-macros-5.11.1-2.el8.noarch                                           
  rust-srpm-macros-5-2.el8.noarch                                               
  binutils-2.30-58.el8_1.1.x86_64                                               
  glibc-devel-2.28-72.el8.x86_64                                                
  glibc-headers-2.28-72.el8.x86_64                                              
  kernel-headers-4.18.0-147.5.1.el8_1.x86_64                                    
  libxcrypt-devel-4.1.1-4.el8.x86_64                                            
  python3-setuptools-39.2.0-5.el8.noarch                                        
  zip-3.0-23.el8.x86_64                                                         

完了しました!
Creating virtual environment...
Installing Python packages...
Installation succeeded.

ま、いいか

/home/www/wordpress does not exist or is not a directory
適当なインスト先はダメか。やりなおし。

Requested name http://{http付きのURL} appears to be a URL, not a FQDN. Try again without the leading “http://”.
はい http://は取ってやりなおし。

Plugins selected: Authenticator webroot, Installer None
Enter email address (used for urgent renewal and security notices) (Enter ‘c’ to
cancel):
Invalid email address: .{メアドを入れる}

Please read the Terms of Service at
https://letsencrypt.org/documents/LE-SA-v1.2-November-15-2017.pdf. You must
agree in order to register with the ACME server at
https://acme-v02.api.letsencrypt.org/directory
(A)gree/(C)ancel: {aしかないだろう}

Would you be willing to share your email address with the Electronic Frontier
Foundation, a founding partner of the Let’s Encrypt project and the non-profit
organization that develops Certbot? We’d like to send you email about our work
encrypting the web, EFF news, campaigns, and ways to support digital freedom.

(Y)es/(N)o: {メアドはシェアしたくないので、n}
Obtaining a new certificate
Performing the following challenges:
http-01 challenge for ssiscirine.moe.hm
Using the webroot path {インスト先} for all unmatched domains.
Waiting for verification…
Cleaning up challenges

IMPORTANT NOTES:

  • Congratulations! Your certificate and chain have been saved at:
    {それなりの長いパス}/fullchain.pem
    Your key file has been saved at:
    {それなりの長いパス} /privkey.pem
    Your cert will expire on 2020-05-08. To obtain a new or tweaked
    version of this certificate in the future, simply run certbot-auto
    again. To non-interactively renew all of your certificates, run
    “certbot-auto renew”
  • Your account credentials have been saved in your Certbot
    configuration directory at /etc/letsencrypt. You should make a
    secure backup of this folder now. This configuration directory will
    also contain certificates and private keys obtained by Certbot so
    making regular backups of this folder is ideal.
  • If you like Certbot, please consider supporting our work by: Donating to ISRG / Let’s Encrypt: https://letsencrypt.org/donate
    Donating to EFF: https://eff.org/donate-le

と云うことなので適当な間隔
certbot-auto renew  すればいいらしい。

あとはVirtualHostの設定

これも色々あるようだ。

https://www.rem-system.com/centos8-ssl-certbot/
https://qiita.com/takayukioda/items/70572e1da228795e0d4b
https://qiita.com/gotohiro55/items/7daa988db23a5a8355c1
https://qiita.com/bageljp@github/items/6b9876b7571852284ead ○


今は1つしかドメインを登録できない状態なので、1ファイルにまとめた。

Listen 443 https
SSLPassPhraseDialog exec:/usr/libexec/httpd-ssl-pass-dialog
SSLSessionCache         shmcb:/run/httpd/sslcache(512000)
SSLSessionCacheTimeout  300
SSLRandomSeed startup file:/dev/urandom  256
SSLRandomSeed connect builtin
SSLCryptoDevice builtin

<VirtualHost *:443>
    ServerName      {WWW上のサーバ名}
    DocumentRoot    {WordPressのインスト先パス}
    ErrorLog logs/ssl_error_log
    LogLevel warn
    Include /etc/letsencrypt/options-ssl-apache.conf
    SSLCertificateFile       {それなりの長いパス}/fullchain.pem
    SSLCertificateKeyFile    {それなりの長いパス}/privkey.pem
    <Files ~ "\.(cgi|shtml|phtml|php3?)$">
        SSLOptions +StdEnvVars
    </Files>
    <Location "/wp-login.php" >
   <IfModule mod_authz_core.c>
     # Apache 2.4
     <RequireAny>
       Require ip 127.0.0.1
       Require ip ::1
       Require ip 192.168.0.0/24
     </RequireAny>
   </IfModule>
   <IfModule !mod_authz_core.c>
     # Apache 2.2
     Order Deny,Allow
     Deny from All
     Allow from 127.0.0.1
     Allow from ::1
     Allow from 192.168.0.0/24
   </IfModule>
    </Location>
    BrowserMatch "MSIE [2-5]" \
             nokeepalive ssl-unclean-shutdown \
             downgrade-1.0 force-response-1.0
    CustomLog logs/ssl_access_log ltsv_ssl
</VirtualHost>

しかし ログにltsv_sslが連打される 調べてみると
CustomLog logs/ssl_access_log ltsv_ssl の  ltsv_ssl はhttpd.confに記載したフォーマット名らしいがそんなものは書いた覚えがない。

https://qiita.com/hit/items/3c4276db1d4427fcee7a を参考にhttpd.confにapache_ltsvを追加し先のltsv_sslをapache_ltsvに変えてみる

httpd -t

AH00526: Syntax error on line 223 of /etc/httpd/conf/httpd.conf:
Unrecognized LogFormat directive %&

よくよく見ると 
¥t はタブ
%&gt; も %> にしないといけない。

それにしてもログを読んでいると結構ロボットが飛び込んでくる。

2年ぶりの再開なのに。

ロボットはしつこい

apacheは設定済みなのでファイアーウォールを設定
firewall-cmd –add-service http –permanent
firewall-cmd –add-port=80/tcp –permanent
の様に
firewall-cmd –add-service https –permanent
firewall-cmd –add-port=443/tcp –permanent
firewall-cmd –reload
firewall-cmd –list-all

ps.2020/3/3 更新してみた

# /usr/local/bin/certbot-auto renew
Saving debug log to /var/log/letsencrypt/letsencrypt.log

- - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
Processing /etc/letsencrypt/renewal/{WWW上のサーバ名}.conf
- - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
Cert not yet due for renewal

- - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -

The following certs are not due for renewal yet:
  /etc/letsencrypt/live/{WWW上のサーバ名}/fullchain.pem expires on 2020-05-08 (skipped)
No renewals were attempted.
- - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -

次は5月8日でいいらしい。

ps.5/1

# /usr/local/bin/certbot-auto renew
Upgrading certbot-auto 1.2.0 to 1.3.0...
Replacing certbot-auto...
Creating virtual environment...
Installing Python packages...
Installation succeeded.
Saving debug log to /var/log/letsencrypt/letsencrypt.log

- - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
Processing /etc/letsencrypt/renewal/ssiscirine.moe.hm.conf
- - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
Cert is due for renewal, auto-renewing...
Plugins selected: Authenticator webroot, Installer None
Renewing an existing certificate
Performing the following challenges:
http-01 challenge for ssiscirine.moe.hm
Using the webroot path /***/***/***s for all unmatched domains.
Waiting for verification...
Cleaning up challenges

- - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
new certificate deployed without reload, fullchain is
/etc/letsencrypt/live/ssiscirine.moe.hm/fullchain.pem
- - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -

- - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -

Congratulations, all renewals succeeded. The following certs have been renewed:
  /etc/letsencrypt/live/ssiscirine.moe.hm/fullchain.pem (success)
- - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
#

ps.7.31

証明書の期限切れ

忘れてた。

証明書の期限切れ

なるほど、しかし、セキュリティを正しい状態にするには

保護を反故する法則が発動する。

除外設定ってドコだ?
除外設定に追加
# /usr/local/bin/certbot-auto renew
Upgrading certbot-auto 1.3.0 to 1.6.0...
Replacing certbot-auto...
Creating virtual environment...
Installing Python packages...
Installation succeeded.
Saving debug log to /var/log/letsencrypt/letsencrypt.log

- - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
Processing /etc/letsencrypt/renewal/ssiscirine.moe.hm.conf
- - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
Cert is due for renewal, auto-renewing...
Plugins selected: Authenticator webroot, Installer None
Renewing an existing certificate
Performing the following challenges:
http-01 challenge for ssiscirine.moe.hm
Using the webroot path /***/***/***s for all unmatched domains.
Waiting for verification...
Cleaning up challenges

- - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
new certificate deployed without reload, fullchain is
/etc/letsencrypt/live/ssiscirine.moe.hm/fullchain.pem
- - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -

- - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -

Congratulations, all renewals succeeded. The following certs have been renewed:
  /etc/letsencrypt/live/ssiscirine.moe.hm/fullchain.pem (success)
- - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
除外設定から削除

しかし、再びブロックされたので、仕切り直し。

systemctl restart httpd

機嫌が直ったようだ。

しかしFireFoxは混在コンテンツと判定してる。

ページのHTMLのソースを見るとヘッダー画像が http:// だったので修正。




コメントを残す

メールアドレスが公開されることはありません。 * が付いている欄は必須項目です

CAPTCHA